Package org.eclipse.cdt.core

# Interface IBinaryParser.IBinaryExecutable

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinaryParser.IBinaryFile`, `IBinaryParser.IBinaryObject`

All Known Subinterfaces:
  `IBinaryParser.IBinaryShared`

All Known Implementing Classes:
  `CygwinPEBinaryExecutable64`, `CygwinPEBinaryShared64`, `ElfBinaryExecutable`, `ElfBinaryShared`, `GNUElfBinaryExecutable`, `GNUElfBinaryShared`, `GNUPEBinaryExecutable64`, `GNUPEBinaryShared64`, `MachOBinaryExecutable64`, `MachOBinaryShared64`, `PEBinaryExecutable64`, `PEBinaryShared64`, `SOMBinaryExecutable`, `SOMBinaryShared`, `XCOFFBinaryShared`

Enclosing interface:
  `IBinaryParser`

public static interface IBinaryParser.IBinaryExecutable extends IBinaryParser.IBinaryObject
An executable.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getNeededSharedLibs()`
Needed shared libraries for this executable

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryObject

`getAddressFactory, getBSS, getCPU, getData, getName, getSymbol, getSymbols, getText, hasDebug, isLittleEndian`

## Method Details

### getNeededSharedLibs

String[] getNeededSharedLibs()
Needed shared libraries for this executable

Returns:
  String[] array